# Holding Details

The Holding Update PayOut API endpoint processes a request to update payout details for a specified holding by ISIN ID, and it returns the updated holding quantities and status. This ensures accurate tracking of holding quantities post-update.

**Endpoint**

{% code title="Base URL" overflow="wrap" fullWidth="false" %}

```
https://connects.torusdigital.com/api/v1/holdings/details    
```

{% endcode %}

#### Header Parameters <a href="#header-parameters" id="header-parameters"></a>

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

#### **Request Parameter**

| Parameter | Value         | Mandatory | Description                       |
| --------- | ------------- | --------- | --------------------------------- |
| source    | A             | Y         | Source of the request (e.g., "A") |
| ISIN\_id  | ISIN356566777 | Y         | ISIN CODE                         |

#### **Request**

{% tabs %}
{% tab title="curl" %}
{% code title="cURL" overflow="wrap" lineNumbers="true" %}

```javascript
curl --location 'https://connects.torusdigital.com/api/v1/holdings/details' \
--header 'Authorization: Bearer {{token}}' \
--header 'Content-Type: application/json' \
--data '{
    "source": "A",
    "data": {
        "ISIN_id": "INE669E01016"
    }
}'
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}
{% code title="Java-Unirest" lineNumbers="true" fullWidth="false" %}

```java
Unirest.setTimeouts(0, 0);
HttpResponse<String> response = Unirest.post("https://connects.torusdigital.com/api/v1/holdings/details")
  .header("Authorization", "Bearer {{token}}")
  .header("Content-Type", "application/json")
  .body("{\n" +
        "    \"source\": \"A\",\n" +
        "    \"data\": {\n" +
        "        \"ISIN_id\": \"INE669E01016\"\n" +
        "    }\n" +
        "}")
  .asString();
```

{% endcode %}
{% endtab %}

{% tab title="Go" %}
{% code title="Go-Native" overflow="wrap" lineNumbers="true" fullWidth="true" %}

```go
package main

import (
	"fmt"
	"io/ioutil"
	"net/http"
	"strings"
)

func main() {
	url := "https://connects.torusdigital.com/api/v1/holdings/details"
	method := "POST"

	payload := strings.NewReader(`{
    "source": "A",
    "data": {
        "ISIN_id": "INE669E01016"
    }
  }`)

	client := &http.Client{}
	req, err := http.NewRequest(method, url, payload)

	if err != nil {
		fmt.Println(err)
		return
	}
	req.Header.Add("Authorization", "Bearer {{token}}")
	req.Header.Add("Content-Type", "application/json")

	res, err := client.Do(req)
	if err != nil {
		fmt.Println(err)
		return
	}
	defer res.Body.Close()

	body, err := ioutil.ReadAll(res.Body)
	if err != nil {
		fmt.Println(err)
		return
	}
	fmt.Println(string(body))
}
```

{% endcode %}
{% endtab %}

{% tab title="JavaScript" %}
{% code title="JavaScript-jQuery" overflow="wrap" lineNumbers="true" %}

```javascript
var settings = {
  "url": "https://connects.torusdigital.com/api/v1/holdings/details",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{token}}",
    "Content-Type": "application/json"
  },
  "data": JSON.stringify({
    "source": "A",
    "data": {
      "ISIN_id": "INE669E01016"
    }
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

{% endcode %}
{% endtab %}
{% endtabs %}

**Response**

{% tabs %}
{% tab title="200" %}
{% code overflow="wrap" %}

```json
{
    "status": "success",
    "message": "Success",
    "data": [
        {
            "Nse_Script_Code": "NA",
            "Sum_Of_Holding_Qty": "0",
            "BSE_Series": "NA",
            "NSE_Symbol": "NA",
            "BSE_Script_Code": "NA",
            "COST_PRICE": "NA",
            "Utilized_Qty": "0",
            "Remaining_Qty": "0",
            "BSE_Symbol": "NA",
            "NSE_Series": "NA"
        }
    ]
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

&#x20;   **Response Parameter**

| Field                 | Explanation                                                                                                        |
| --------------------- | ------------------------------------------------------------------------------------------------------------------ |
| Nse\_Script\_Code     | The script code of the holding on the National Stock Exchange (NSE). NA indicates not applicable or not available. |
| Sum\_Of\_Holding\_Qty | Total quantity of the holding.                                                                                     |
| BSE\_Series           | The series of the holding on the Bombay Stock Exchange (BSE). NA indicates not applicable or not available.        |
| NSE\_Symbol           | The symbol of the holding on the National Stock Exchange (NSE). NA indicates not applicable or not available.      |
| BSE\_Script\_Code     | The script code of the holding on the Bombay Stock Exchange (BSE). NA indicates not applicable or not available.   |
| COST\_PRICE           | The cost price of the holding. NA indicates not applicable or not available.                                       |
| Utilized\_Qty         | Quantity of the holding that has been utilized.                                                                    |
| Remaining\_Qty        | Remaining quantity of the holding.                                                                                 |
| BSE\_Symbol           | The symbol of the holding on the Bombay Stock Exchange (BSE). NA indicates not applicable or not available.        |
| NSE\_Series           | The series of the holding on the National Stock Exchange (NSE). NA indicates not applicable or not available.      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://heytorus.gitbook.io/holdings-and-portfolio/holding-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
